Package org.opensaml.xacml.policy.impl

# Class SubjectMatchTypeImplBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<XACMLObjectType>
org.opensaml.xacml.impl.AbstractXACMLObjectBuilder<SubjectMatchType>
org.opensaml.xacml.policy.impl.SubjectMatchTypeImplBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<SubjectMatchType>`, `XACMLObjectBuilder<SubjectMatchType>`

public class SubjectMatchTypeImplBuilder extends AbstractXACMLObjectBuilder<SubjectMatchType>
Builder of `SubjectMatchType` objects.

## Constructor Summary

Constructors
Constructor
Description
`SubjectMatchTypeImplBuilder()`

## Method Summary

Modifier and Type
Method
Description
`SubjectMatchType`
`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`SubjectMatchType`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### SubjectMatchTypeImplBuilder

public SubjectMatchTypeImplBuilder()

## Method Details

### buildObject

public SubjectMatchType buildObject()
Builds a XACMLObject using the default name and namespace information provided XACML specifications.

Specified by:
  `buildObject` in interface `XACMLObjectBuilder<SubjectMatchType>`
Specified by:
  `buildObject` in class `AbstractXACMLObjectBuilder<SubjectMatchType>`
Returns:
  built XACMLObject

### buildObject

public SubjectMatchType buildObject(String namespaceURI, String localName, String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<SubjectMatchType>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<SubjectMatchType>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject